#ifndef MEMORY_ARENA_H
#define MEMORY_ARENA_H
#include <stdbool.h>
#include <stdint.h>
#include <stddef.h>

bool mem_arena_init(uint16_t size_mb);
bool mem_arena_deinit(void);
void mem_arena_print();
size_t mem_arena_get_allocated(void);

void* mem_arena_malloc(size_t size);
void* mem_arena_calloc(size_t nmemb, size_t sz);
void* mem_arena_realloc(void* buf, size_t new_size);
void mem_arena_free(void*);

#endif // MEMORY_ARENA_H
